/* 文章标题样式(这个不是markdown里的标题) */
#topics .postTitle a {
  /* color: #169fe6; */
  font-family: Georgia, Times New Roman, Times, sans-serif, monospace;
  font-weight: bold;
}


/* 标题样式 */
#cnblogs_post_body h1 {
  font-family: Georgia, Times New Roman, Times, sans-serif, monospace;
  font-size: 32px;
  font-weight: bold;
  line-height: 1.5;
  margin: 10px 0;
}

#cnblogs_post_body h2 {
  font-family: Consolas, "Microsoft YaHei", monospace;
  font-size: 26px;
  font-weight: bold;
  line-height: 1.5;
  margin: 20px 0;
}

#cnblogs_post_body h3 {
  font-family: Georgia, Times New Roman, Times, sans-serif, monospace;
  font-size: 20px;
  font-weight: bold;
  line-height: 1.5;
  margin: 10px 0;
}

#cnblogs_post_body h4 {
  font-family: Georgia, Times New Roman, Times, sans-serif, monospace;
  font-size: 18px;
  font-weight: bold;
  margin: 10px 0;
}
/* 标题样式设置结束 */

/* 去除双下划线斜体样式 */
em {
  font-style: normal;
  color: #000;
}

/* 超链接 */
#cnblogs_post_body a:link {
  text-decoration: none;
  color: #002C99;
}

/* 引用背景 */
#topics .postBody blockquote {
  background: #f1f1f1;
  border: none;
  border-left: 1px solid #e0e1ec;
  margin: 0;
  padding-left: 2px;
}

/* 单行代码 */
.cnblogs-markdown code {
  font-family: Consolas, "Microsoft YaHei", monospace !important;
}

/* 多行代码, 引用 */
.cnblogs-markdown .hljs {
  font-family: Consolas, "Microsoft YaHei", monospace !important;
}

table th {
  white-space: nowrap; /*表头内容强制在一行显示*/
}
/*表格第一列不换行*/
table td:nth-child(1) {
  white-space: nowrap;
}

.post img {
  cursor: pointer;
  transition: all 0.5s;
}

.post img:hover {
  transform: scale(1.3);
}
/*评论样式*/
.blog_comment_body {
  background: #B2E866;
  float: left;
  border-radius: 5px;
  position: relative;
  overflow: visible;
  margin-left: 33px;
  max-width: 700px;
}
/*markdown复制按钮*/
/*添加按钮*/
.cnblogs-markdown pre {
  position: relative;
}
.cnblogs-markdown pre > span {
  position: absolute;
  top: 0;
  right: 0;
  border-radius: 2px;
  padding: 0 10px;
  font-size: 12px;
  background: rgba(0, 0, 0, 0.4);
  color: #fff;
  cursor: pointer;
}
.cnblogs-markdown pre > .copyed {
  background: #67c23a;
}

/*代码高亮*/
.cnblogs-markdown pre {
	white-space: pre!important
}

.cnblogs-markdown .hljs {
	display: block!important;
	overflow-x: auto!important;
	padding: 1em!important;
	background: #282c34!important;
	border: 1px solid #fff!important;
	border-radius: 5px!important;
	font-family: Consolas,Monaco,'Andale Mono','Ubuntu Mono',monospace!important;
	font-size: 15px!important
}

.hljs,.hljs-subst,.hljs-tag {
	color: #f8f8f2!important
}

.hljs-emphasis,.hljs-strong {
	color: #a8a8a2!important
}

.hljs-bullet,.hljs-link,.hljs-literal,.hljs-number,.hljs-quote {
	color: #ae81ff!important
}

.hljs-meta,.hljs-regexp {
	color: #fd971f!important
}

.hljs-built_in,.hljs-builtin-name,.hljs-code,.hljs-section,.hljs-selector-class,.hljs-title {
	color: #a6e22e!important
}

.hljs-strong {
	font-weight: 700
}

.hljs-emphasis {
	font-style: italic!important
}

.hljs-attr,.hljs-name,.hljs-selector-tag,.hljs-symbol {
	color: #f74449!important
}

.hljs-attribute,.hljs-keyword {
	color: #66d9ef!important
}

.hljs-class .hljs-title,.hljs-params {
	color: #f8f8f2!important
}

.hljs-addition,.hljs-selector-attr,.hljs-selector-id,.hljs-selector-pseudo,.hljs-string,.hljs-template-variable,.hljs-type,.hljs-variable {
	color: #e6db74!important
}

.hljs-comment,.hljs-deletion {
	color: #999!important
}

/*导航样式*/
.scroller-offset1 {text-indent: 0 /* !important */;}
.scroller-offset2 {text-indent: 1.5em;}
.scroller-offset3 {text-indent: 3em;}
.scroller-offset4 {text-indent: 4.5em;}
.scroller-offset5 {text-indent: 6em;}
.scroller-offset6 {text-indent: 7.5em;}
.nav .active {background-color:#ffffff;   
}
a {
    text-decoration: none;
    color: #258fb8;
}